Bug 1126090 - Update papi presets for Intel processors
Summary: Update papi presets for Intel processors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: papi
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 7.1
Assignee: William Cohen
QA Contact: Michael Petlan
URL:
Whiteboard:
Depends On: 1126091
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 20:44 UTC by William Cohen
Modified: 2018-12-09 18:16 UTC (History)
5 users (show)

Fixed In Version: papi-5.2.0-8.el7
Doc Type: Bug Fix
Doc Text:
Cause: A number of the PAPI event presets for Intel processors were found to be incorrect. Consequence: Some of the presets available for Intel Haswell, Ivy Bridge, and Sandy Bridge processors would not correctly measure some metrics. Fix: The PAPI event presets have been updated to better measure various performance events on newer Intel processors. Result: Improved event measurements for various Intel processors.
Clone Of:
Environment:
Last Closed: 2015-03-05 08:23:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0372 normal SHIPPED_LIVE libpfm and papi bug fix and enhancement update 2015-03-05 12:50:53 UTC

Description William Cohen 2014-08-01 20:44:06 UTC
There have been a number of updates to papi presets in papi_events.csv for Intel processors.  These should be updates should be backported to the RHEL7 version of papi.  The following URL shows the changes in the papi_events.csv file:


http://icl.cs.utk.edu/trac/papi/log/src/papi_events.csv?rev=5d9ed8d5d9e9e28658dec1da8521a301eff7b086

Comment 2 William Cohen 2014-09-28 16:27:03 UTC
Updated the event Intel processor presets to the most recent ones available.

Comment 5 William Cohen 2014-10-14 14:46:18 UTC
Recent libpfm change the name for Intel family 6 model 63 name from "hsw" to "hsw_ep"  Needed to update the papi_event.csv to recognize this new name.  The fix has been checked into papi-5.2.0-8.el7.

Comment 9 errata-xmlrpc 2015-03-05 08:23:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0372.html


Note You need to log in before you can comment on or make changes to this bug.